//
//  MBCalloutView.h
//  MBMapKit
//
//  Copyright 2011 Mapbar Inc. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MBMapView;
@class MBAnnotationView;
@interface MBCalloutView : UIView 
{
	UILabel* m_title;
	UILabel* m_subtitle;
    CGRect _endFrame;
	CGPoint m_anchor;
    CGPoint m_offset;
	UIView* m_leftView;
	UIView* m_rightView;
	
	UIImage* m_bkgLeft;
	UIImage* m_bkgCenter;
	UIImage* m_bkgRight;
	
	UIControl* m_centralView;
}
@property (nonatomic, retain) MBAnnotationView *annotationView;
@property (nonatomic, retain) MBMapView *mapView;
@property (nonatomic, assign) BOOL animated;
@property (nonatomic, copy) NSString *title;
@property (nonatomic, copy) NSString *subtitle;
@property (nonatomic, retain) UIView* leftView;
@property (nonatomic, retain) UIView* rightView;
@property (nonatomic, readonly) UIControl* centralView;

-(void)setAnchorPoint;
@end
