//
//  MBDirectionsOptions.h
//  MBMapkit_library
//
//  Created by 张嘉伟 on 11-10-26.
//  Copyright 2011 Mapbar Inc. All rights reserved.
//

#import <Foundation/Foundation.h>


enum
{
    MBTransitDirectionsOptionLessWalking = 0,       /**< 少步行 */
    MBTransitDirectionsOptionBestRoute,         /**< 最短距离 */
    MBTransitDirectionsOptionFewerTransfers,    /**< 直达优先 */
    MBTransitDirectionsOptionPreferMetro        /**< 地铁优先*/
};
/** @brief  公交路线模式。 */
typedef NSUInteger MBTransitDirectionsOptions;

enum
{
    MBDriveDirectionsOptionBestTime = 0,        /**< 最快路径 */
    MBDriveDirectionsOptionShortestRoute,   /**< 最短路线 */
    MBDriveDirectionsOptionAvoidHighway,    /**< 避让高速 */
    MBDriveDirectionsOptionWalkingMode,     /**< 行人模式 */
    MBDriveDirectionsOptionBestRoute,       /**< BEST (系统推荐的) 介于最快和最短之间的一种以更合理为初衷的规划方式 */
    MBDriveDirectionsOptionLowestCost,      /**< 最经济模式 */
};
/** @brief  驾车路线模式。 */
typedef NSUInteger MBDriveDirectionsOptions;

enum
{
    MBTransitModeBus = 0,   /**< 公交汽车 */
    MBTransitModeMetro,     /**< 地铁 */
    MBTransitModeWalk,      /**< 步行 */
};
/** @brief  步行模式。 */
typedef NSUInteger  MBTransitMode;  /**< 默认 */

enum
{
    MBWalkDirectionsOptionDefault = 0,
};
/** @brief  步行模式。 */
typedef NSUInteger MBWalkDirectionsOptions;
